%define realname base64

Summary: Encode and decode base64 files
Name: gbase64
Version: 1.3
Release: 2%{?dist}
License: GPL
URL: http://josefsson.org/base64/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Group: Applications/Archiving
Source: http://josefsson.org/base64/releases/%{realname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
base64 is a command line utility which encodes and decodes
files in this format. It can be used within a pipeline as
an encoding or decoding filter, and is most commonly used
in this manner as part of an automated mail processing
system. 

%prep
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%setup -q -n %{realname}-%{version}

%build
%{configure}
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_bindir}
%{__install} -m755 src/%{realname} %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{realname}

%changelog
* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.3-2
- mass rebuild

* Tue Oct 05 2005 Simon Matter <simon.matter@invoca.ch> 1.3-1
- updated to 1.3

* Tue Jan 04 2005 Simon Matter <simon.matter@invoca.ch>
- updated to 1.2

* Tue Dec 28 2004 Simon Matter <simon.matter@invoca.ch>
- initial build
